#pragma once
#include<string>
struct Pixel
{
	unsigned char blue;
	unsigned char green;
	unsigned char red;
};

struct FileHeader
{
	char headerField[2];
	unsigned int size;
	unsigned short reserved1;
	unsigned short reserved2;
	unsigned int pixelOffset;

	void display();

};
struct ImageHeader
{
	unsigned int imageHeaderSize;
	int width;
	int height;
	unsigned short colorPlanes;//1
	unsigned short bitsPerPixel; //24
	unsigned int compressionMethod;
	unsigned int imageSize;
	int horizontalResolution;
	int verticalResolution;
	unsigned int colorsInPalette;
	unsigned int importantColors;//0

	void display();
};

struct Picture
{
	//public vs private
	//class defaults to private
	//struct defaults to public
	FileHeader fileHeader;
	ImageHeader imageHeader;
	Pixel* pixels;
	
	Picture(std::string fileName);
	~Picture();
	void display();
	void saveToFile(std::string fileName);
	void invertColors();
};

